## cascading.pipe
Class Every.EveryHandler

    java.lang.Object
      cascading.pipe.Every.EveryHandler

Direct Known Subclasses:
  Every.EveryAggregatorHandler, Every.EveryAssertionHandler, Every.EveryBufferHandler

Enclosing class:
  Every

    public abstract class Every.EveryHandler

extends Object

Class EveryHandler is a helper class that wraps Every instances.

Field Summary
`Scope` `outgoingScope` Field outgoingScope
`FlowCollector` `outputCollector` Field outputCollector

Constructor Summary
`Every.EveryHandler(Scope outgoingScope)`

Method Summary
`void` `cleanup(FlowProcess flowProcess)`
`abstract void` `complete(FlowProcess flowProcess, TupleEntry groupEntry)`
`Every` `getEvery()`
`abstract void` `operate(FlowProcess flowProcess, TupleEntry groupEntry, TupleEntry inputEntry, TupleEntryIterator tupleEntryIterator)`
`void` `prepare(FlowProcess flowProcess)`
`abstract void` `start(FlowProcess flowProcess, TupleEntry groupEntry)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### outgoingScope

    public final Scope outgoingScope

  Field outgoingScope

### outputCollector

    public FlowCollector outputCollector

  Field outputCollector

Constructor Detail

### Every.EveryHandler

    public Every.EveryHandler(Scope outgoingScope)

Method Detail

### start

    public abstract void start(FlowProcess flowProcess,
                               TupleEntry groupEntry)

### operate

    public abstract void operate(FlowProcess flowProcess,
                                 TupleEntry groupEntry,
                                 TupleEntry inputEntry,
                                 TupleEntryIterator tupleEntryIterator)

### complete

    public abstract void complete(FlowProcess flowProcess,
                                  TupleEntry groupEntry)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getEvery

    public Every getEvery()

### prepare

    public void prepare(FlowProcess flowProcess)

### cleanup

    public void cleanup(FlowProcess flowProcess)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.